package com.heyu.api.data.service.impl.vv;
/**
* <p>
* sku详描 服务类
* </p>
*
* @author quyixiao
* @since 2025-08-20
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.vv.VvSkuDao;
import com.heyu.api.data.entity.vv.VvSkuEntity;
import com.heyu.api.data.service.vv.VvSkuService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class VvSkuServiceImpl extends ServiceImpl<VvSkuDao, VvSkuEntity> implements VvSkuService {


    @Autowired
	private VvSkuDao vvSkuDao;



	@Override
	public VvSkuEntity selectVvSkuById(Long id){
		return vvSkuDao.selectVvSkuById(id);
	}



	@Override
	public Long insertVvSku(VvSkuEntity vvSku){
		return vvSkuDao.insertVvSku(vvSku);
	}



	@Override
	public Long insertOrUpdateVvSku(VvSkuEntity vvSku){
		return vvSkuDao.insertOrUpdateVvSku(vvSku);
	}



	@Override
	public int updateVvSkuById(VvSkuEntity vvSku){
		return vvSkuDao.updateVvSkuById(vvSku);
	}



	@Override
	public int updateCoverVvSkuById(VvSkuEntity vvSku){
		return vvSkuDao.updateCoverVvSkuById(vvSku);
	}



	@Override
	public int deleteVvSkuById(Long id){
		return vvSkuDao.deleteVvSkuById(id);
	}



}
